import 'package:flutter/material.dart';

import '../utils/type.dart';

typedef OnManagerError = Function(dynamic, BuildContext);

class SuraProvider extends InheritedWidget {
  const SuraProvider({
    Key? key,
    required Widget child,
    this.loadingWidget,
    this.errorWidget,
    this.buttonLoadingWidget,
    this.onFutureManagerError,
  }) : super(child: child, key: key);

  ///Loading widget use in [SuraAsyncButton]
  final Widget? buttonLoadingWidget;

  ///Loading widget use in [Manager] class
  final Widget? loadingWidget;

  ///Error widget use in [Manager] class
  final CustomErrorWidget? errorWidget;

  //A callback function that run if FutureManagerBuilder has an error
  final OnManagerError? onFutureManagerError;

  static SuraProvider? of(BuildContext context) {
    return context.dependOnInheritedWidgetOfExactType<SuraProvider>();
  }

  @override
  bool updateShouldNotify(SuraProvider oldWidget) => true;
}
